Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_ldf
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_ldf	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_ldf	(revision 10321)
@@ -3,31 +3,33 @@
 !-----------------------------------------------------------------------
    !                       !  Operator type:
-   ln_traldf_NONE  =  .false.  !  No explicit diffusion
-   ln_traldf_lap   =  .false.  !    laplacian operator
-   ln_traldf_blp   =  .false.  !  bilaplacian operator
+   ln_traldf_OFF   = .false.   !  No explicit diffusion
+   ln_traldf_lap   = .false.   !    laplacian operator
+   ln_traldf_blp   = .false.   !  bilaplacian operator
    !
    !                       !  Direction of action:
-   ln_traldf_lev   =  .false.  !  iso-level
-   ln_traldf_hor   =  .false.  !  horizontal (geopotential)
-   ln_traldf_iso   =  .false.  !  iso-neutral (standard operator)
-   ln_traldf_triad =  .false.  !  iso-neutral (triad    operator)
+   ln_traldf_lev   = .false.   !  iso-level
+   ln_traldf_hor   = .false.   !  horizontal  (geopotential)
+   ln_traldf_iso   = .false.   !  iso-neutral (standard operator)
+   ln_traldf_triad = .false.   !  iso-neutral (triad    operator)
    !
    !		       	         !  iso-neutral options:        
-   ln_traldf_msc   =  .false.  !  Method of Stabilizing Correction (both operators)
-   rn_slpmax       =   0.01    !  slope limit                      (both operators)
-   ln_triad_iso    =  .false.  !  pure horizontal mixing in ML              (triad only)
-   rn_sw_triad     =  1        !  =1 switching triad ; =0 all 4 triads used (triad only)
-   ln_botmix_triad =  .false.  !  lateral mixing on bottom                  (triad only)
+   ln_traldf_msc   = .false.   !  Method of Stabilizing Correction      (both operators)
+   rn_slpmax       =  0.01     !  slope limit                           (both operators)
+   ln_triad_iso    = .false.   !  pure horizontal mixing in ML              (triad only)
+   rn_sw_triad     = 1         !  =1 switching triad ; =0 all 4 triads used (triad only)
+   ln_botmix_triad = .false.   !  lateral mixing on bottom                  (triad only)
    !
    !                       !  Coefficients:
-   nn_aht_ijk_t    = 0         !  space/time variation of eddy coef
-   !                                !   =-20 (=-30)    read in eddy_diffusivity_2D.nc (..._3D.nc) file
-   !                                !   =  0           constant 
-   !                                !   = 10 F(k)      =ldf_c1d 
-   !                                !   = 20 F(i,j)    =ldf_c2d 
-   !                                !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
-   !                                !   = 30 F(i,j,k)  =ldf_c2d * ldf_c1d
-   !                                !   = 31 F(i,j,k,t)=F(local velocity and grid-spacing)
-   rn_aht_0        = 2000.     !  lateral eddy diffusivity   (lap. operator) [m2/s]
-   rn_bht_0        = 1.e+12    !  lateral eddy diffusivity (bilap. operator) [m4/s]
+   nn_aht_ijk_t    = 0         !  space/time variation of eddy coefficient:
+      !                             !   =-20 (=-30)    read in eddy_diffusivity_2D.nc (..._3D.nc) file
+      !                             !   =  0           constant 
+      !                             !   = 10 F(k)      =ldf_c1d 
+      !                             !   = 20 F(i,j)    =ldf_c2d 
+      !                             !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
+      !                             !   = 30 F(i,j,k)  =ldf_c2d * ldf_c1d
+      !                             !   = 31 F(i,j,k,t)=F(local velocity and grid-spacing)
+      !                        !  time invariant coefficients:  aht0 = 1/2  Ud*Ld   (lap case) 
+      !                             !                           or   = 1/12 Ud*Ld^3 (blp case)
+      rn_Ud        = 0.01           !  lateral diffusive velocity [m/s] (nn_aht_ijk_t= 0, 10, 20, 30)
+      rn_Ld        = 200.e+3        !  lateral diffusive length   [m]   (nn_aht_ijk_t= 0, 10)
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_mle
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_mle	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_mle	(revision 10321)
@@ -0,0 +1,13 @@
+!-----------------------------------------------------------------------
+&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)       (default: OFF)
+!-----------------------------------------------------------------------
+   ln_mle      = .false.   ! (T) use the Mixed Layer Eddy (MLE) parameterisation
+   rn_ce       = 0.06      ! magnitude of the MLE (typical value: 0.06 to 0.08)
+   nn_mle      = 1         ! MLE type: =0 standard Fox-Kemper ; =1 new formulation
+   rn_lf       = 5.e+3     ! typical scale of mixed layer front (meters)                      (case rn_mle=0)
+   rn_time     = 172800.   ! time scale for mixing momentum across the mixed layer (seconds)  (case rn_mle=0)
+   rn_lat      = 20.       ! reference latitude (degrees) of MLE coef.                        (case rn_mle=1)
+   nn_mld_uv   = 0         ! space interpolation of MLD at u- & v-pts (0=min,1=averaged,2=max)
+   nn_conv     = 0         ! =1 no MLE in case of convection ; =0 always MLE
+   rn_rho_c_mle= 0.01      ! delta rho criterion used to calculate MLD for FK
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_qsr
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_qsr	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtra_qsr	(revision 10321)
@@ -2,15 +2,18 @@
 &namtra_qsr    !   penetrative solar radiation                          (ln_traqsr =T)
 !-----------------------------------------------------------------------
-!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_chl      ='chlorophyll',        -1         , 'CHLA'    ,   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-
-   cn_dir      = './'      !  root directory for the location of the runoff files
-   ln_qsr_rgb  = .true.    !  RGB (Red-Green-Blue) light penetration
-   ln_qsr_2bd  = .false.   !  2 bands              light penetration
-   ln_qsr_bio  = .false.   !  bio-model light penetration
-   nn_chldta   =      1    !  RGB : Chl data (=1) or cst value (=0)
-   rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
-   rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
-   rn_si1      =   23.0    !  2 bands: longest depth of extinction
+   !                       !  type of penetration                        (default: NO selection)
+   ln_qsr_rgb  = .false.      !  RGB light penetration (Red-Green-Blue)
+   ln_qsr_2bd  = .false.      !  2BD light penetration (two bands)
+   ln_qsr_bio  = .false.      !  bio-model light penetration
+   !                       !  RGB & 2BD choices:
+   rn_abs      =   0.58       !  RGB & 2BD: fraction absorbed in the very near surface
+   rn_si0      =   0.35       !  RGB & 2BD: shortess depth of extinction
+   nn_chldta   =      0       !  RGB : Chl data (=1) or cst value (=0)
+   rn_si1      =   23.0       !  2BD : longest depth of extinction
+   
+   cn_dir      = './'      !  root directory for the chlorophyl data location
+   !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
+   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
+   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
+   sn_chl      ='chlorophyll'            ,        -1         , 'CHLA'    ,   .true.    , .true. , 'yearly'  , ''               , ''       , ''
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc	(revision 10321)
@@ -0,0 +1,23 @@
+!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------
+   jp_bgc        =  0           !  Number of passive tracers of the BGC model
+   !
+   ln_pisces     =  .false.     !  Run PISCES BGC model 
+   ln_my_trc     =  .false.     !  Run MY_TRC BGC model
+   ln_age        =  .false.     !  Run the sea water age tracer
+   ln_cfc11      =  .false.     !  Run the CFC11 passive tracer
+   ln_cfc12      =  .false.     !  Run the CFC12 passive tracer
+   ln_sf6        =  .false.     !  Run the SF6 passive tracer
+   ln_c14        =  .false.     !  Run the Radiocarbon passive tracer
+   !
+   ln_trcdta     =  .false.  !  Initialisation from data input file (T) or not (F)
+   ln_trcdmp     =  .false.  !  add a damping termn (T) or not (F)
+   ln_trcdmp_clo =  .false.  !  damping term (T) or not (F) on closed seas
+   !
+   jp_dia3d      = 0         ! Number of 3D diagnostic variables
+   jp_dia2d      = 0         ! Number of 2D diagnostic variables
+   !_____________!___________!_________________________________________!____________!________________!
+   !             !    name   !           title of the field            !   units    ! init from file ! 
+!  sn_tracer(1)  = 'tracer  ', 'Tracer  Concentration                 ',   ' - '    ,   .false.
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_adv
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_adv	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_adv	(revision 10321)
@@ -0,0 +1,16 @@
+!-----------------------------------------------------------------------
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcadv_OFF =  .false.  !  No passive tracer advection
+   ln_trcadv_cen =  .false.  !  2nd order centered scheme
+      nn_cen_h   =  4               !  =2/4, horizontal 2nd order CEN / 4th order CEN
+      nn_cen_v   =  4               !  =2/4, vertical   2nd order CEN / 4th order COMPACT
+   ln_trcadv_fct =  .false.  !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+   ln_trcadv_mus =  .false.  !  MUSCL scheme
+      ln_mus_ups =  .false.         !  use upstream scheme near river mouths
+   ln_trcadv_ubs =  .false.  !  UBS scheme
+      nn_ubs_v   =  2               !  =2  , vertical 2nd order FCT
+   ln_trcadv_qck =  .false.  !  QUICKEST scheme
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_bc
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_bc	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_bc	(revision 10321)
@@ -0,0 +1,9 @@
+!----------------------------------------------------------------------
+&namtrc_bc       !   data for boundary conditions
+!-----------------------------------------------------------------------
+   cn_dir_sbc    =  './'     !  root directory for the location of SURFACE data files
+   cn_dir_cbc    =  './'     !  root directory for the location of COASTAL data files
+   cn_dir_obc    =  './'     !  root directory for the location of OPEN data files
+   ln_rnf_ctl    = .false.   !  Remove runoff dilution on tracers with absent river load
+   rn_bc_time    =  86400.   !  Time scaling factor for SBC and CBC data (seconds in a day)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_bdy
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_bdy	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_bdy	(revision 10321)
@@ -0,0 +1,11 @@
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+   cn_trc_dflt   = 'neumann' !  OBC applied by default to all tracers
+   cn_trc        = 'none'    !  Boundary conditions used for tracers with data files (selected in namtrc)
+
+   nn_trcdmp_bdy = 0         !  Use damping timescales defined in nambdy of namelist
+                             !  = 0 NO damping of tracers at open boudaries
+                             !  = 1 Only for tracers forced with external data
+                             !  = 2 Damping applied to all tracers
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_dmp
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_dmp	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_dmp	(revision 10321)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namtrc_dmp      !   passive tracer newtonian damping                   (ln_trcdmp=T)
+!-----------------------------------------------------------------------
+   nn_zdmp_tr    =    1      !  vertical   shape =0    damping throughout the water column
+                             !                   =1 no damping in the mixing layer (kz  criteria)
+                             !                   =2 no damping in the mixed  layer (rho crieria)
+   cn_resto_tr   = 'resto_tr.nc'    !  create a damping.coeff NetCDF file (=1) or not (=0)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_dta
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_dta	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_dta	(revision 10321)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+!                !  file name        ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!                !                   !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_trcdta(1)  = 'data_TRC_nomask' ,        -12        ,  'TRC'    ,    .false.   , .true. , 'yearly'  , ''       , ''       , ''
+   !
+   cn_dir        =  './'     !  root directory for the location of the data files
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_ice
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_ice	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_ice	(revision 10321)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namtrc_ice      !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+   nn_ice_tr     =  -1       !  tracer concentration in sea ice 
+                             !    =-1 (no vvl: identical cc in ice and ocean / vvl: cc_ice = 0)
+                             !    = 0 (no vvl: cc_ice = zero / vvl: cc_ice = )
+                             !    = 1 prescribed to a namelist value (implemented in pisces only)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_ldf
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_ldf	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_ldf	(revision 10321)
@@ -0,0 +1,10 @@
+!-----------------------------------------------------------------------
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
+!-----------------------------------------------------------------------
+!                            !  Type of the operator:
+   ln_trcldf_OFF   =  .false.    !  No explicit diffusion
+   ln_trcldf_tra   =  .false.    !  use active tracer setting
+   !                         !  Coefficient (defined with namtra_ldf coefficient)
+   rn_ldf_multi    = 1.          !  multiplier of aht for TRC mixing coefficient
+   rn_fact_lap     = 1.          !  Equatorial enhanced zonal eddy diffusivity (lap only)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_rad
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_rad	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_rad	(revision 10321)
@@ -0,0 +1,5 @@
+!-----------------------------------------------------------------------
+&namtrc_rad      !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+   ln_trcrad     =  .true.   !  artificially correct negative concentrations (T) or not (F)
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_run
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_run	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_run	(revision 10321)
@@ -0,0 +1,14 @@
+!-----------------------------------------------------------------------
+&namtrc_run      !   run information
+!-----------------------------------------------------------------------
+   nn_dttrc      =  1        !  time step frequency for passive sn_tracers
+   ln_top_euler  = .false.   !  use Euler time-stepping for TOP
+   ln_rsttr      = .false.   !  start from a restart file (T) or not (F)
+   nn_rsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
+                             !                  = 1 do not use the value in the restart file
+                             !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. sn_tracer restart name (input)
+   cn_trcrst_indir = "."           !  directory from which to read input passive tracer restarts
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. sn_tracer restart name (output)
+   cn_trcrst_outdir = "."          !  directory to which to write output passive tracer restarts
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_trd
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_trd	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrc_trd	(revision 10321)
@@ -0,0 +1,13 @@
+!-----------------------------------------------------------------------
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!                          or mixed-layer trends                        ('key_trdmld_trc')
+!----------------------------------------------------------------------
+   nn_trd_trc    =  5475     !  time step frequency and tracers trends
+   nn_ctls_trc   =   0       !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf_trc    =   1       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_trc_restart = .false. !  restart for ML diagnostics
+   ln_trdmld_trc_instant = .true.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   ln_trdtrc( 1) = .true.
+   ln_trdtrc( 2) = .true.
+   ln_trdtrc(23) = .true.
+/
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrd
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrd	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtrd	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namtrd        !   trend diagnostics                                    (default F)
+&namtrd        !   trend diagnostics                                    (default: OFF)
 !-----------------------------------------------------------------------
    ln_glo_trd  = .false.   ! (T) global domain averaged diag for T, T^2, KE, and PE
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtsd
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtsd	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namtsd	(revision 10321)
@@ -1,12 +1,14 @@
 !-----------------------------------------------------------------------
-&namtsd        !   data : Temperature  & Salinity
+&namtsd        !    Temperature & Salinity Data  (init/dmp)             (default: OFF)
 !-----------------------------------------------------------------------
-!              !  file name                 ! frequency (hours) ! variable ! time interp.!  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !                            !  (if <0  months)  !   name   !  (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_tem = 'data_1m_potential_temperature_nomask',     -1      ,'votemper',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
-   sn_sal = 'data_1m_salinity_nomask'             ,     -1      ,'vosaline',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
-   !
-   cn_dir      = './'      !  root directory for the location of the runoff files
-   ln_tsd_init = .true.    !  Initialisation of ocean T & S with T & S input data (T) or not (F)
-   ln_tsd_tradmp = .true.  !  damping of ocean T & S toward T & S input data (T) or not (F)
+   !                       ! =T  read T-S fields for:
+   ln_tsd_init = .false.         !  ocean initialisation
+   ln_tsd_dmp  = .false.         !  T-S restoring   (see namtra_dmp)
+   
+   cn_dir      = './'      !  root directory for the T-S data location
+   !___________!_________________________!___________________!___________!_____________!________!___________!__________________!__________!_______________!
+   !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
+   !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
+   sn_tem = 'data_1m_potential_temperature_nomask',  -1      , 'votemper',   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
+   sn_sal = 'data_1m_salinity_nomask'             ,  -1      , 'vosaline',   .true.    , .true. , 'yearly'  ,    ''            ,    ''    ,    ''
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namwad
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namwad	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namwad	(revision 10321)
@@ -1,13 +1,13 @@
 !-----------------------------------------------------------------------
-&namwad  !   Wetting and drying  default it no WAD
+&namwad        !   Wetting and Drying (WaD)                             (default: OFF)
 !-----------------------------------------------------------------------
-   ln_wd_il          = .false   ! T/F activation of iterative limiter for  wetting and drying scheme
-   ln_wd_dl          = .false.   ! T/F activation of directional llimiter for wetting drying scheme
-   ln_wd_dl_bc       = .false.   ! T/F Directional limiteer Baroclinic option
-   ln_wd_dl_rmp      = .false.   ! T/F Turn on directional limiter ramp
-   rn_wdmin0         =  0.30    ! dpoth at which wetting/drying starts
-   rn_wdmin1         =  0.2     ! Minimum wet depth on dried cells
-   rn_wdmin2         =  0.0001  ! Tolerance of min wet depth on dried cells
-   rn_wdld           =  2.5     ! Land elevation below which wetting/drying is allowed
-   nn_wdit           =   20     ! Max iterations for W/D limiter
+   ln_wd_il    = .false    !  T/F activation of iterative   limiter
+   ln_wd_dl    = .false.   !  T/F activation of directional limiter
+   ln_wd_dl_bc = .false.   !  T/F Directional limiteer Baroclinic option
+   ln_wd_dl_rmp= .false.   !  T/F Turn on directional limiter ramp
+   rn_wdmin0   =  0.30     !  depth at which WaD starts
+   rn_wdmin1   =  0.2      !  Minimum wet depth on dried cells
+   rn_wdmin2   =  0.0001   !  Tolerance of min wet depth on dried cells
+   rn_wdld     =  2.5      !  Land elevation below which WaD is allowed
+   nn_wdit     =   20      !  Max iterations for WaD limiter
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namzdf        !   vertical physics                                     (default: NO selection)
+&namzdf        !   vertical physics manager                             (default: NO selection)
 !-----------------------------------------------------------------------
    !                       ! type of vertical closure (required)
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf_osm
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf_osm	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf_osm	(revision 10321)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namzdf_osm                !   OSM vertical diffusion                   (ln_zdfosm =T)
+&namzdf_osm    !   OSM vertical diffusion                               (ln_zdfosm =T)
 !-----------------------------------------------------------------------
    ln_use_osm_la = .false.      !  Use namelist  rn_osm_la
@@ -14,6 +14,6 @@
    rn_difconv = 1.             ! diffusivity when unstable below BL  (m2/s)
    nn_osm_wave = 0             ! Method used to calculate Stokes drift
-                               !  = 2: Use ECMWF wave fields
-                               !  = 1: Pierson Moskowitz wave spectrum
-                               !  = 0: Constant La# = 0.3
+      !                        !  = 2: Use ECMWF wave fields
+      !                        !  = 1: Pierson Moskowitz wave spectrum
+      !                        !  = 0: Constant La# = 0.3
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf_tke
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf_tke	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/namelists/namzdf_tke	(revision 10321)
@@ -12,5 +12,5 @@
    !                       !                 = 1 bounded by the local vertical scale factor
    !                       !                 = 2 first vertical derivative of mixing length bounded by 1
-   !                       !                 = 3 as =2 with distinct disspipative an mixing length scale
+   !                       !                 = 3 as =2 with distinct dissipative an mixing length scale
    ln_mxl0     = .true.    !  surface mixing length scale = F(wind stress) (T) or not (F)
    rn_mxl0     =   0.04    !  surface  buoyancy lenght scale minimum value
@@ -26,3 +26,4 @@
                               !        = 0  constant 10 m length scale
                               !        = 1  0.5m at the equator to 30m poleward of 40 degrees
+      rn_eice     =   4       !  below sea ice: =0 ON ; =4 OFF when ice fraction > 1/4   
 /
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/rst/Makefile
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/rst/Makefile	(revision 10321)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/doc/rst/Makefile	(revision 10321)
@@ -0,0 +1,20 @@
+# Minimal makefile for Sphinx documentation
+#
+
+# You can set these variables from the command line.
+SPHINXOPTS    =
+SPHINXBUILD   = sphinx-build
+SPHINXPROJ    = NEMO
+SOURCEDIR     = source
+BUILDDIR      = build
+
+# Put it first so that "make" without argument is like "make help".
+help:
+	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
+
+.PHONY: help Makefile
+
+# Catch-all target: route all unknown targets to Sphinx using the new
+# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
+%: Makefile
+	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
